ipv4 setup

This commit is contained in:
Giulio 2020-05-21 16:21:33 +02:00
parent f065f61f74
commit a80d8bd440
3 changed files with 31 additions and 1 deletions

View File

@ -15,4 +15,6 @@ cp -R conf/* target/ovarlay # copy target system config files
cp -R webpanel/* target/overlay/var/www/html # copy the webpanel
cp -R update/* target/ovarlay #copy the update script and certificate
echo "[+] Building the image"
N=`grep -c '^processor' /proc/cpuinfo`
cd target/buildroot
make -j$N

23
conf/etc/S90hostapd Normal file
View File

@ -0,0 +1,23 @@
#!/bin/sh
case "$1" in
start)
printf "Starting hostapd: "
start-stop-daemon -S -x /usr/sbin/hostapd -- -B /etc/hostapd.conf
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
printf "Stopping hostapd: "
start-stop-daemon -K -q -x /usr/sbin/hostapd
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
restart|reload)
$0 stop
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit 0

View File

@ -0,0 +1,5 @@
# /etc/network/interfaces
auto wlan0
iface wlan0 inet static
address 192.168.77.1
netmask 255.255.255.0